Package tigase.monitor.tasks

## Class ScriptTimerTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.AbstractConfigurableTimerTask
    - - tigase.monitor.tasks.ScriptTimerTask

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

      public class ScriptTimerTask
      extends AbstractConfigurableTimerTask
      implements ConfigurableTask

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.script.Bindings` | `bindings` |
    `protected javax.script.ScriptEngineManager` | `scriptEngineManager` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptTimerTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.script.Bindings` | `getBindings()` |
    `java.lang.String` | `getScript()` |
    `javax.script.ScriptEngineManager` | `getScriptEngineManager()` |
    `java.lang.String` | `getScriptExtension()` |
    `protected void` | `run()` |
    `void` | `setBindings​(javax.script.Bindings bindings)` |
    `void` | `setScript​(java.lang.String script, java.lang.String scriptExtension)` |
    `void` | `setScriptEngineManager​(javax.script.ScriptEngineManager scriptEngineManager)` |

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

      `beforeUnregister, disable, enable, getCurrentConfiguration, getPeriod, getTimerTaskService, setNewConfiguration, setPeriod, setTimerTaskService`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `initialize, isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.monitor.ConfigurableTask

      `getCurrentConfiguration, setNewConfiguration`

- - ### Field Detail

    - #### bindings

          @Inject
          protected javax.script.Bindings bindings

    - #### scriptEngineManager

          @Inject
          protected javax.script.ScriptEngineManager scriptEngineManager

  - ### Constructor Detail

    - #### ScriptTimerTask

          public ScriptTimerTask()

  - ### Method Detail

    - #### getBindings

          public javax.script.Bindings getBindings()

    - #### setBindings

          public void setBindings​(javax.script.Bindings bindings)

    - #### getScript

          public java.lang.String getScript()

    - #### getScriptEngineManager

          public javax.script.ScriptEngineManager getScriptEngineManager()

    - #### setScriptEngineManager

          public void setScriptEngineManager​(javax.script.ScriptEngineManager scriptEngineManager)

    - #### getScriptExtension

          public java.lang.String getScriptExtension()

    - #### setScript

          public void setScript​(java.lang.String script,
                                java.lang.String scriptExtension)

    - #### run

          protected void run()

      Specified by:
        `run` in class `AbstractConfigurableTimerTask`